# Wrapper function for ginv.  If ginv(x) fails, try t(ginv( t(x) )).

bilin.ginvwrapper = function( x, verbose=FALSE )
{ 
  gotit = F 
  try( {res = ginv(x); gotit=T}, silent = !verbose )   
  if( gotit ) return(res) 
  try( {res = t(ginv(t(x))); gotit=T}, silent = !verbose )   
  if( !gotit ) stop("ginv(x) and t(ginv(t(x))) both failed.")   
  if( verbose ) print("ginv(x) failed but t(ginv(t(x))) worked.")
  return(res)
}
