dec.to.bin <- function( x, ndigits ) {
  #Changes a decimal integer x into a binary number with ndigits.

  Base.b <- array(NA, dim=c(1, ndigits))
  for(i in 1:ndigits){
    Base.b[, ndigits-i+1] <- (x %% 2)
    x <- (x %/% 2)
  }
  Base.b[1, ]
}


dec.to.bin.test<-function(ndigits=3) {
  #Test dec.to.bin  and bin.to.dec functions.
  for ( i in 0:(2^ndigits-1)) {
    cat(i,'->',dec.to.bin(i,ndigits),
	  '->',bin.to.dec(dec.to.bin(i,ndigits)),'\n')

  }
}
