isZero<-function(p) {
  #Tests whether a quantity is effectively zero.
  #The elements of p are different estimates of that quantity.
  #

  m<-mean(p)

  if ( length(p) == 1 ) {
    s<-1e-10
  } else {
    s<-sd(p)+1e-10 #making it nonzero
  }
  #multiplying here with 2 since it is two-tailed
  #Calculates whether 0 is in the critical regions or not.
  if ( 0 > m ) {
    pvalue<-2*(1-pnorm(0,m,s))
  } else {
    pvalue<-2*pnorm(0,m,s)
  }
  pvalue
}