lininf.postprocess = function(z, Z, T, n){
  #this does a bit of postprocessing on z, Z, T
  

  z = antti.ppzvec(z,T,n)

  Zprev<-FALSE

  while ( any (Zprev != Z ) ) { #first round OK...
    Zprev<-Z
    for(i in 1:nrow(Z)){
	Z[i,] = antti.ppzvec(Z[i,],T,n)
	Z[,i] = antti.ppzvec(Z[,i],T,n)
    }
  }

  list(z, Z)
}


antti.ppzvec = function(z,T,n){
zvecConst = which(z == TRUE)

for(i in zvecConst){
      #cat(rownames(T)[i])
      from = T[i,2]
      to = T[i,3]
      setdec=T[i,4]
      setbin = dec.to.bin(setdec, n)

      #Adding to set all elements that were not intervened but are not the to-variable
      adding_to_set<-setbin==0
      adding_to_set[to]<-0
      n_adding_to_set<-sum(adding_to_set)

      #if there is nothing to add jump to the next one
      if ( n_adding_to_set == 0 ) {
#        cat('\n')
        next
      }
      for ( ss in 1:(2^n_adding_to_set-1) ) {
          setbin2 <- setbin
          setbin2[adding_to_set==1] = dec.to.bin(ss,n_adding_to_set) ##NOTICE THAT THERE WAS AN ERROR HERE!
          setdec2 = bin.to.dec(setbin2)
          #cat(' ->',rownames(T)[which( T[,2] == from & T[,3] == to & T[,4] == setdec2)])
          z[which( T[,2] == from & T[,3] == to & T[,4] == setdec2)] = TRUE
          #browser()
      }
}
z
}
