#These are some of the parameters needed for operation
#

#loads the whole directory to R
sourceDir <- function(path, trace = TRUE, ...) {
  for (nm in list.files(path, pattern = "\\.[RrSsQq]$")) {
    if(trace) cat(nm,":")
    source(file.path(path, nm), ...)
    if(trace) cat("\n")
  }
}

# since the functions here are not really changed, loading them already here
loud<-function() {

  #cat('Loading packages...\n')
#   require('combinat')
#   #require('ggm')
#   require('gtools')


  #This should start a ps-file viewer
  #Replace this if not working
#   if ( .Platform$OS.type == 'unix' ) {
#     psviewer<<-'gv'
#   } else if ( .Platform$OS.type == 'windows' ) {
#     psviewer<<-'C:/\"Program Files\"/Ghostgum/gsview/gsview32 -e'
#   } else if ( .Platform$OS.type == 'mac' ) {
#     psviewer<<-'open -a Preview' 
#   } else {
#     psviewer<<-NA
#   }
#   cat('PS viewer:',psviewer,'\n')
# 
#   #here checking the sachs directory
#   sachs_dir<<- './../simulations/sachsdata/data/'
#   cat('Sachs data dir:',sachs_dir)
# 
#   if ( file.access(paste(sep='',sachs_dir,'/experiment1.csv'),0) == 0 ) {
#     cat(' is ok.\n')
#   } else {
#     cat(' is not OK. Sachs data tests will not work.\n')
#   }
# 
#   cat('Loading the R-code...\n')
#   .adjustwidth<-function(...) {
#     options(width=Sys.getenv("COLUMNS"))
#     TRUE
#   }
#   .adjustwidth()
  #addTaskCallback(.adjustwidth)
  sourceDir('./',FALSE)
  sourceDir('./bilin/',FALSE)
  sourceDir('./data/',FALSE)
  sourceDir('./independence/',FALSE)
  sourceDir('./lininf/',FALSE)
}

# # since the functions here are not really changed, loading them already here
# loud<-function() {
# 
#   #cat('Loading packages...\n')
# #   require('combinat')
# #   #require('ggm')
# #   require('gtools')
# 
# 
#   #This should start a ps-file viewer
#   #Replace this if not working
# #   if ( .Platform$OS.type == 'unix' ) {
# #     psviewer<<-'gv'
# #   } else if ( .Platform$OS.type == 'windows' ) {
# #     psviewer<<-'C:/\"Program Files\"/Ghostgum/gsview/gsview32 -e'
# #   } else if ( .Platform$OS.type == 'mac' ) {
# #     psviewer<<-'open -a Preview' 
# #   } else {
# #     psviewer<<-NA
# #   }
# #   cat('PS viewer:',psviewer,'\n')
# # 
# #   #here checking the sachs directory
# #   sachs_dir<<- './../simulations/sachsdata/data/'
# #   cat('Sachs data dir:',sachs_dir)
# # 
# #   if ( file.access(paste(sep='',sachs_dir,'/experiment1.csv'),0) == 0 ) {
# #     cat(' is ok.\n')
# #   } else {
# #     cat(' is not OK. Sachs data tests will not work.\n')
# #   }
# # 
# #   cat('Loading the R-code...\n')
#   .adjustwidth<-function(...) {
#     options(width=Sys.getenv("COLUMNS"))
#     TRUE
#   }
#   .adjustwidth()
#   #addTaskCallback(.adjustwidth)
# 
#   source('./load.R')
#   source('./index.R')
#   source('./dec.to.trin.R')
#   source('./pc_skeleton.R')
#   source('./isIndependent.R')
#   source('./enforce.rule1.R')
#   source('./test.stability.R')
#   source('./test.faithfullness.R')
#   source('./createModel.bilin.R')
#   source('./isIndependent.resample.R')
#   source('./isZero.R')
# 
#   source('./randomModel.R')
#   source('./experiment.canonical.R')
#   source('./experiment.sample.R')
#   source('./canonical.R')
# 
#   source('./dec.to.bin.R')
#   source('./bin.to.dec.R')
#   source('./Null3.R')
#   source('./mpinv.R')
#   #sourceDir('./',trace=FALSE)
#   sourceDir('./nec/',trace=FALSE)
#  # sourceDir('./data/',trace=FALSE)
#   #sourceDir('./../indepedence/',trace=FALSE)
#   source('./../indepedence/allminSepsets.r')
#   source('./../indepedence/bilinlogic.r')
#   source('./../indepedence/bilinlogic2.r')
#   #source('./../indepedence/indtests.r')
#   source('./../indepedence/postprocess.R')
#   source('./../indepedence/pgmIndep.r')
# 
#   source('./data/data.loop.R')
# 
#   source('./data/data.samples.R')
#   source('./data/data.getCov.R')
#   source('./data/data.createExperiments.R')
#   source('./data/data.createModel.R')
#   source('./data/data.createModel2.R')
#   source('./data/data.get.R')
#   source('./data/data.stats.R')
#   source('./data/data.stats2.R')
# 
# 
#  # cat('Done.\n')
# }


